View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001006Ecere SDKidepublic2013-09-23 07:272013-09-30 08:59
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0001006: Crash on closing a file importing "ecereCOM"
DescriptionAs summarized
Additional InformationRedj, could you please verify whether this happens in master, and if it does, find out since which commit this is happening?

It's quite disabling so we should fix for 0.44.10 (can't use the IDE to fix the file after you've added the import!)

Thanks.


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001082)
jerome (administrator)
2013-09-28 03:02

Valgrind output on closing .ec file with just import "ecereCOM" in it:

==28299== Jump to the invalid address stated on the next line
==28299== at 0x12FECA60: ???
==28299== by 0x4694AF: __ecereMethod_ProjectView_GetNodeFromWindow (ProjectView.ec:607)
==28299== by 0x4840BB: __ecereMethod_CodeEditor_OnDestroy (CodeEditor.ec:2090)
==28299== by 0x4FE9C94: __ecereMethod___ecereNameSpace__ecere__gui__Window_DestroyEx (Window.ec:5623)
==28299== by 0x4FED8B8: __ecereMethod___ecereNameSpace__ecere__gui__Window_Destroy (Window.ec:6455)
==28299== by 0x4FDB7FA: __ecereInstMeth___ecereNameSpace__ecere__gui__controls__Button_NotifyClicked__00000001 (Window.ec:2297)
==28299== by 0x4F2DB84: __ecereMethod___ecereNameSpace__ecere__gui__controls__Button_OnLeftButtonUp (Button.ec:574)
==28299== by 0x4F2E5E2: __ecereMethod___ecereNameSpace__ecere__gui__controls__Button_OnKeyUp (Button.ec:735)
==28299== by 0x4FE630A: __ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage (Window.ec:4669)
==28299== by 0x4FE6A48: __ecereMethod___ecereNameSpace__ecere__gui__Window_ProcessHotKeys (Window.ec:4755)
==28299== by 0x4FE62A0: __ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage (Window.ec:4664)
==28299== by 0x4FE5AB8: __ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage (Window.ec:4469)
==28299== Address 0x12feca60 is not stack'd, malloc'd or (recently) free'd
(0001085)
jerome (administrator)
2013-09-28 07:17
edited on: 2013-09-28 07:25

well, interestingly enough, the value of projects._vTbl[10] does change between the time the projects list is instantiated and the time the window is closed!

It seems that upon loading ecereCOM, the existing List instance suddenly becomes dependent on it. The value of _vTbl[10] changes right after a call to OpenFile() in ide.ec

(0001095)
jerome (administrator)
2013-09-30 08:59

Fixed by https://github.com/ecere/ecere-sdk/commit/dceb3c0eb6fd44a58deab85d274f1ae85da37067 [^]

- Issue History
Date Modified Username Field Change
2013-09-23 07:27 jerome New Issue
2013-09-23 07:27 jerome Status new => assigned
2013-09-23 07:27 jerome Assigned To => redj
2013-09-28 03:02 jerome Note Added: 0001082
2013-09-28 07:17 jerome Note Added: 0001085
2013-09-28 07:25 jerome Note Edited: 0001085
2013-09-28 23:16 jerome Assigned To redj => jerome
2013-09-30 08:59 jerome Status assigned => closed
2013-09-30 08:59 jerome Note Added: 0001095
2013-09-30 08:59 jerome Resolution open => fixed
2013-09-30 08:59 jerome Fixed in Version => 0.44.10 64



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker